aboutsummaryrefslogtreecommitdiffstats
path: root/test/range-001.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/range-001.sh')
-rwxr-xr-xtest/range-001.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/test/range-001.sh b/test/range-001.sh
new file mode 100755
index 0000000..4932a4f
--- /dev/null
+++ b/test/range-001.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+if [ ! -x "$(command -v faketime)" ]; then
+ echo "libfaketime not found - skipping $0..."
+ exit 1
+fi
+
+if [ "$1" = 'actual' ]; then
+ faketime '2011-02-25 00:00:00' calcurse -D data/ -r
+elif [ "$1" = 'expected' ]; then
+ cat <<EOD
+02/25/11:
+ * Socket ghastlier
+ - ..:.. -> ..:..
+ Covenants useful smoker's
+EOD
+else
+ ./run-test "$0"
+fi